#include "ChallengesMenuRitualsWidget.h"

class UCoreButtonWidget;

void UChallengesMenuRitualsWidget::ScrollToSelectedItem(const FName& selectedItemId)
{

}

void UChallengesMenuRitualsWidget::OnSortingChanged()
{

}

void UChallengesMenuRitualsWidget::OnFollowChallengeInputSwitcherTriggered()
{

}

void UChallengesMenuRitualsWidget::OnFiltersButtonClicked(UCoreButtonWidget* buttonTarget)
{

}

void UChallengesMenuRitualsWidget::OnChallengeCardUnhovered(UCoreButtonWidget* targetButton)
{

}

void UChallengesMenuRitualsWidget::OnChallengeCardHovered(UCoreButtonWidget* targetButton)
{

}

void UChallengesMenuRitualsWidget::OnChallengeCardClicked(UCoreButtonWidget* targetButton)
{

}

UChallengesMenuRitualsWidget::UChallengesMenuRitualsWidget()
{
	this->ChallengeListWidgetClass = NULL;
	this->ChallengeCardWidgetClass = NULL;
	this->_sortingOptions = 0;
	this->_preConstructedChallengeSubListCount = 1;
	this->_lastChallengeCardSubListBottomPadding = 0.000000;
}
